# Uses of Enum Class
org.apache.sling.api.resource.runtime.dto.AuthType

Packages that use AuthType
Package
Description
org.apache.sling.api.resource.runtime.dto

## Uses of AuthType in org.apache.sling.api.resource.runtime.dto

Fields in org.apache.sling.api.resource.runtime.dto declared as AuthType
Modifier and Type
Field
Description
`AuthType`
ResourceProviderDTO.`authType`
The auth handling for this provider.
Methods in org.apache.sling.api.resource.runtime.dto that return AuthType
Modifier and Type
Method
Description
`static AuthType`
AuthType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AuthType[]`
AuthType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.